package com.bonus.canteen.core.marketing.coupon.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("mkt_coupon_tmpl_back")
@ApiModel("餐券模板备份记录表")
public class MktCouponTmplBack extends Model<MktCouponTmplBack> {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("餐券模板备份id")
   private Long backId;
   @ApiModelProperty("餐券模板id")
   private Long tmplId;
   @ApiModelProperty("餐券类型")
   private Integer couponType;
   @ApiModelProperty("单位名称")
   private String companyName;
   @ApiModelProperty("餐券名称")
   private String couponName;
   @ApiModelProperty("餐券金额")
   private BigDecimal couponAmount;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;

   public Long getId() {
      return this.id;
   }

   public Long getBackId() {
      return this.backId;
   }

   public Long getTmplId() {
      return this.tmplId;
   }

   public Integer getCouponType() {
      return this.couponType;
   }

   public String getCompanyName() {
      return this.companyName;
   }

   public String getCouponName() {
      return this.couponName;
   }

   public BigDecimal getCouponAmount() {
      return this.couponAmount;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setBackId(final Long backId) {
      this.backId = backId;
   }

   public void setTmplId(final Long tmplId) {
      this.tmplId = tmplId;
   }

   public void setCouponType(final Integer couponType) {
      this.couponType = couponType;
   }

   public void setCompanyName(final String companyName) {
      this.companyName = companyName;
   }

   public void setCouponName(final String couponName) {
      this.couponName = couponName;
   }

   public void setCouponAmount(final BigDecimal couponAmount) {
      this.couponAmount = couponAmount;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "MktCouponTmplBack(id=" + var10000 + ", backId=" + this.getBackId() + ", tmplId=" + this.getTmplId() + ", couponType=" + this.getCouponType() + ", companyName=" + this.getCompanyName() + ", couponName=" + this.getCouponName() + ", couponAmount=" + String.valueOf(this.getCouponAmount()) + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ")";
   }
}
